### Method

# Gtk.PrintContext.get_hard_margins

#### Declaration [src]

    gboolean
    gtk_print_context_get_hard_margins (
      GtkPrintContext* context,
      double* top,
      double* bottom,
      double* left,
      double* right
    )

#### Description [src]

Obtains the hardware printer margins of the `GtkPrintContext`, in units.

#### Parameters

`top` | `double*`
| top hardware printer margin
| Direction: out
| Ownership of the data is transferred to the callee
`bottom` | `double*`
| bottom hardware printer margin
| Direction: out
| Ownership of the data is transferred to the callee
`left` | `double*`
| left hardware printer margin
| Direction: out
| Ownership of the data is transferred to the callee
`right` | `double*`
| right hardware printer margin
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the hard margins were retrieved